Subject: bug#40909: eww: Add max width option similar to Man-width-max

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 May 2020 22:34:51 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>>> I'm sorry, I don't quite understand what you mean.  Why would reading
>>> anything be more difficult on HiDPI monitors?
>>
>> Sorry, I mean on a large monitor with e.g. 16:9 aspect ratio.
>
> Oh, with the frames full-width?  It didn't even occur to me that anybody
> would do something like that.  :-)

Yes, that's my normal use-case.  I'd rather deal with Emacs than any
window manager.

> Is that a thing people do?  I mean...  why?  That'll leave a lot of
> unused screen real estate for most things Emacs displays.

When I start Emacs it's just one full screen frame and one window.
But I generally use 2-3 windows vertically when working.

FWIW, I asked on the #emacs IRC channel and at least some people
reported they usually do something similar.

> But, yes, rendering web pages very wide is usually not good for
> readability, but...  if a person has decided to have full-width frames,
> doesn't that also mean that that person likes to have really long lines?

Not in my use, at least, it doesn't mean that.  I configure everything
to be 80 columns wide, if at all possible.  Long lines are very
annoying, arguably probably even more so in my use-case than in
others.

Best regards,
Stefan Kangas